summaryrefslogtreecommitdiff
path: root/.github/workflows
diff options
context:
space:
mode:
authormbkma <[email protected]>2026-01-30 00:26:20 +0100
committermbkma <[email protected]>2026-03-12 00:29:33 +0100
commitd5e426cb4ce2d8815913c98c6ff55428f1c37da7 (patch)
treeedd581bfc135a164f84407183845b5f7750ab96a /.github/workflows
parent322253a93ead958bcad2a7ce18479c864f0e69c8 (diff)
downloadmate-menus-d5e426cb4ce2d8815913c98c6ff55428f1c37da7.tar.bz2
mate-menus-d5e426cb4ce2d8815913c98c6ff55428f1c37da7.tar.xz
ci: add set -eo pipefail to workflow scripts
Diffstat (limited to '.github/workflows')
-rwxr-xr-x.github/workflows/archlinux.sh2
-rwxr-xr-x.github/workflows/debian.sh2
-rwxr-xr-x.github/workflows/fedora.sh2
-rwxr-xr-x.github/workflows/ubuntu.sh2
4 files changed, 8 insertions, 0 deletions
diff --git a/.github/workflows/archlinux.sh b/.github/workflows/archlinux.sh
index 3d2afcf..1fb4cb0 100755
--- a/.github/workflows/archlinux.sh
+++ b/.github/workflows/archlinux.sh
@@ -1,5 +1,7 @@
#!/usr/bin/bash
+set -eo pipefail
+
# Use grouped output messages
infobegin() {
echo "::group::${1}"
diff --git a/.github/workflows/debian.sh b/.github/workflows/debian.sh
index abcb38e..b600052 100755
--- a/.github/workflows/debian.sh
+++ b/.github/workflows/debian.sh
@@ -1,5 +1,7 @@
#!/usr/bin/bash
+set -eo pipefail
+
# Use grouped output messages
infobegin() {
echo "::group::${1}"
diff --git a/.github/workflows/fedora.sh b/.github/workflows/fedora.sh
index e5eac9b..202db44 100755
--- a/.github/workflows/fedora.sh
+++ b/.github/workflows/fedora.sh
@@ -1,5 +1,7 @@
#!/usr/bin/bash
+set -eo pipefail
+
# Use grouped output messages
infobegin() {
echo "::group::${1}"
diff --git a/.github/workflows/ubuntu.sh b/.github/workflows/ubuntu.sh
index 1fc9bf6..d71feb6 100755
--- a/.github/workflows/ubuntu.sh
+++ b/.github/workflows/ubuntu.sh
@@ -1,5 +1,7 @@
#!/usr/bin/bash
+set -eo pipefail
+
# Use grouped output messages
infobegin() {
echo "::group::${1}"